events {}
http {
    upstream backend {
        server localhost:10001;
        server localhost:10002;
        server localhost:10003;
    }

    server_names_hash_bucket_size 128;

    server {
        listen       443 ssl;
        server_name  ec2-16-171-18-171.eu-north-1.compute.amazonaws.com;

        ssl_certificate /etc/nginx/ssl/self.crt;
        ssl_certificate_key /etc/nginx/ssl/self.key;

        location / {
            root /usr/local/nginx/html;
            index  index.html;
        }

        error_page   500 502 503 504  /50x.html;
    }

    server {
        listen 80;
        server_name loadbalancer;

        location / {
            proxy_pass http://backend;
        }

        location /custom {
            return 200 "custom";
        }
    }
}

